--[[
Author: Will Graham (wgraham@digipen.edu)

Copyright 2008-2009 DigiPen (USA) Corp.
]]--

LaserRadius = 200.0
LaserSpeed = 3000.0
LaserMag = 70.0
LaserDuration = 60
LaserInterval = 15

BlobRadius = 200.0
BlobMass = 0.1
BlobSpeed = 5000.0
BlobNum = 1
ExplosionRadius = 1.0
ExplosionMagnitude = 1.0
-------------------------------------------------------------------------------
--Tier 01 Towers
-------------------------------------------------------------------------------
tier01FirePos01 = LvlLoader:GetInfo("tier01FirePos01").Pos_;
tier01FireDir01 = LvlLoader:GetInfo("tier01FireDir01").Pos_;
tier01FirePos02 = LvlLoader:GetInfo("tier01FirePos02").Pos_;
tier01FireDir02 = LvlLoader:GetInfo("tier01FireDir02").Pos_;
SpawnTriggerInfo(LvlLoader:GetInfo("tier01Trigger01"), false, false,
[[
	InsertObjectRange(NormalTowers, 1, 10);
	TikiGod:FireMahLazer(tier01FirePos01, tier01FireDir01, false, LaserRadius, LaserSpeed, LaserMag * 0.5, LaserDuration, false, LaserInterval, 0);
	TikiGod:FireMahLazer(tier01FirePos02, tier01FireDir02, false, LaserRadius, LaserSpeed, LaserMag * 0.5, LaserDuration, false, LaserInterval, 0);
]])

-------------------------------------------------------------------------------
--Tier 02 Towers
-------------------------------------------------------------------------------
tier02FirePos01 = LvlLoader:GetInfo("tier02FirePos01").Pos_;
tier02FireDir01 = LvlLoader:GetInfo("tier02FireDir01").Pos_;
tier02FirePos02 = LvlLoader:GetInfo("tier02FirePos02").Pos_;
tier02FireDir02 = LvlLoader:GetInfo("tier02FireDir02").Pos_;
SpawnTriggerInfo(LvlLoader:GetInfo("tier02Trigger01"), false, false,
[[
	InsertObjectRange(SideTowers, 1, 16);
	TikiGod:FireMahLazer(tier02FirePos01, tier02FireDir01, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration, false, LaserInterval, 0);
	TikiGod:FireMahLazer(tier02FirePos02, tier02FireDir02, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration, false, LaserInterval, 0);
]])
tier02FirePos03 = LvlLoader:GetInfo("tier02FirePos03").Pos_;
tier02FireDir03 = LvlLoader:GetInfo("tier02FireDir03").Pos_;
tier02FirePos04 = LvlLoader:GetInfo("tier02FirePos04").Pos_;
tier02FireDir04 = LvlLoader:GetInfo("tier02FireDir04").Pos_;
tier02FirePos05 = LvlLoader:GetInfo("tier02FirePos05").Pos_;
tier02FireDir05 = LvlLoader:GetInfo("tier02FireDir05").Pos_;
tier02FirePos06 = LvlLoader:GetInfo("tier02FirePos06").Pos_;
tier02FireDir06 = LvlLoader:GetInfo("tier02FireDir06").Pos_;
SpawnTriggerInfo(LvlLoader:GetInfo("tier02RightTrigger01"), false, false,
[[
	InsertObjectRange(SideTowers, 17, 28);
	TikiGod:FireMahLazer(tier02FirePos03, tier02FireDir03, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration, false, LaserInterval, 0);
	TikiGod:FireMahLazer(tier02FirePos05, tier02FireDir05, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration, false, LaserInterval, 0);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("tier02LeftTrigger01"), false, false,
[[
	InsertObjectRange(SideTowers, 29, 40);
	TikiGod:FireMahLazer(tier02FirePos04, tier02FireDir04, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration / 2, false, LaserInterval, 0);
	TikiGod:FireMahLazer(tier02FirePos06, tier02FireDir06, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration / 2, false, LaserInterval, 0);
]])
tier02RockPos01 = LvlLoader:GetInfo("tier02RockPos01").Pos_
tier02RockDir01 = LvlLoader:GetInfo("tier02RockDir01").Pos_
if false then
	SpawnTriggerInfo(LvlLoader:GetInfo("tier02RockTrigger01"), false, false,
	[[
		tier02Rock01 = GlobalSpawnController:SpawnBlobCluster(tier02RockPos01, tier02RockDir01, BlobSpeed * 0.30, BlobRadius * 0.9, BlobMass, BlobNum, ExplosionRadius, ExplosionMagnitude);
		tier02Rock01:Delete(20)
	]])
end


-------------------------------------------------------------------------------
--Tier 03 Towers
-------------------------------------------------------------------------------
tier03FirePos01 = LvlLoader:GetInfo("tier03FirePos01").Pos_;
tier03FireDir01 = LvlLoader:GetInfo("tier03FireDir01").Pos_;
tier03FirePos02 = LvlLoader:GetInfo("tier03FirePos02").Pos_;
tier03FireDir02 = LvlLoader:GetInfo("tier03FireDir02").Pos_;
SpawnTriggerInfo(LvlLoader:GetInfo("tier03RightTrigger01"), false, false,
[[
	InsertObjectRange(SideTowers, 41, 56);
	TikiGod:FireMahLazer(tier03FirePos01, tier03FireDir01, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration * 2, false, LaserInterval, 0);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("tier03LeftTrigger01"), false, false,
[[
	InsertObjectRange(SideTowers, 65, 80);
	TikiGod:FireMahLazer(tier03FirePos02, tier03FireDir02, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration * 2, false, LaserInterval, 0);
]])

tier03FirePos03 = LvlLoader:GetInfo("tier03FirePos03").Pos_;
tier03FireDir03 = LvlLoader:GetInfo("tier03FireDir03").Pos_;
SpawnTriggerInfo(LvlLoader:GetInfo("tier03RightTrigger02"), false, false,
[[
	InsertObjectRange(SideTowers, 57, 64);
	TikiGod:FireMahLazer(tier03FirePos03, tier03FireDir03, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration, false, LaserInterval, 0);
]])
tier03FirePos04 = LvlLoader:GetInfo("tier03FirePos04").Pos_;
tier03FireDir04 = LvlLoader:GetInfo("tier03FireDir04").Pos_;
SpawnTriggerInfo(LvlLoader:GetInfo("tier03LeftTrigger02"), false, false,
[[
	InsertObjectRange(SideTowers, 81, 88);
	TikiGod:FireMahLazer(tier03FirePos04, tier03FireDir04, false, LaserRadius, LaserSpeed, LaserMag, LaserDuration, false, LaserInterval, 0);
]])
	
-------------------------------------------------------------------------------
--Bridge Pieces - Right Side
-------------------------------------------------------------------------------
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeRightTrigger01"), false, false,
[[
	InsertObjectRange(BigBridges, 1, 3);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeRightTrigger02"), false, false,
[[
	InsertObjectRange(BigBridges, 4, 4);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeRightTrigger03"), false, false,
[[
	InsertObjectRange(BigBridges, 5, 5);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeRightTrigger04"), false, false,
[[
	InsertObjectRange(BigBridges, 6, 6);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeRightTrigger05"), false, false,
[[
	InsertObjectRange(BigBridges, 7, 7);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeRightTrigger06"), false, false,
[[
	InsertObjectRange(BigBridges, 8, 8);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeRightTrigger07"), false, false,
[[
	InsertObjectRange(BigBridges, 9, 9);
]])

-------------------------------------------------------------------------------
--Bridge Pieces - Left Side
-------------------------------------------------------------------------------
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeLeftTrigger01"), false, false,
[[
	InsertObjectRange(BigBridges, 10, 12);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeLeftTrigger02"), false, false,
[[
	InsertObjectRange(BigBridges, 13, 13);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeLeftTrigger03"), false, false,
[[
	InsertObjectRange(BigBridges, 14, 14);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeLeftTrigger04"), false, false,
[[
	InsertObjectRange(BigBridges, 15, 15);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeLeftTrigger05"), false, false,
[[
	InsertObjectRange(BigBridges, 16, 16);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeLeftTrigger06"), false, false,
[[
	InsertObjectRange(BigBridges, 17, 17);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("bridgeLeftTrigger07"), false, false,
[[
	InsertObjectRange(BigBridges, 18, 18);
]])

-------------------------------------------------------------------------------
--End Towers
-------------------------------------------------------------------------------
tier04FirePos01 = LvlLoader:GetInfo("tier04FirePos01").Pos_
tier04FirePos02 = LvlLoader:GetInfo("tier04FirePos02").Pos_
tier04FirePos03 = LvlLoader:GetInfo("tier04FirePos03").Pos_
tier04FirePos04 = LvlLoader:GetInfo("tier04FirePos04").Pos_
tier04FireDir01 = LvlLoader:GetInfo("tier04FireDir01").Pos_
tier04FireDir02 = LvlLoader:GetInfo("tier04FireDir02").Pos_
tier04FireDir03 = LvlLoader:GetInfo("tier04FireDir03").Pos_
tier04FireDir04 = LvlLoader:GetInfo("tier04FireDir04").Pos_
SpawnTriggerInfo(LvlLoader:GetInfo("tier04Trigger01"), false, false,
[[
	TikiGod:FireMahLazer(tier04FirePos01, tier04FireDir01, false, LaserRadius, LaserSpeed, LaserMag * 0.6, LaserDuration * 2, false, LaserInterval, 0);
	TikiGod:FireMahLazer(tier04FirePos02, tier04FireDir02, false, LaserRadius, LaserSpeed, LaserMag * 0.6, LaserDuration * 2, false, LaserInterval, 0);
	InsertObjectRange(EndTowers, 1, 110);
	TikiGod:SetFireInterval(60);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("tier04Trigger02"), false, false,
[[
	TikiGod:FireMahLazer(tier04FirePos03, tier04FireDir03, false, LaserRadius, LaserSpeed, LaserMag * 0.6, LaserDuration * 2, false, LaserInterval, 0);
	InsertObjectRange(EndTowers, 111, 210);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("tier04Trigger03"), false, false,
[[
	TikiGod:FireMahLazer(tier04FirePos04, tier04FireDir04, false, LaserRadius, LaserSpeed, LaserMag * 0.6, LaserDuration * 2, false, LaserInterval, 0);
]])

-------------------------------------------------------------------------------
--Deletion Triggers
-------------------------------------------------------------------------------
SpawnTriggerInfo(LvlLoader:GetInfo("deleteTrigger01"), false, false,
[[
	SpawnBlockDeleterInfo(LvlLoader:GetInfo("blockDeleter01"), Vector3D(0.0, -2000.0, 0.0), 20.0);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("deleteTrigger02"), false, false,
[[
	SpawnBlockDeleterInfo(LvlLoader:GetInfo("blockDeleter02"), Vector3D(0.0, -2000.0, 0.0), 20.0);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("deleteTrigger03"), false, false,
[[
	SpawnBlockDeleterInfo(LvlLoader:GetInfo("blockDeleter03"), Vector3D(0.0, -2000.0, 0.0), 20.0);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("deleteTrigger04"), false, false,
[[
	SpawnBlockDeleterInfo(LvlLoader:GetInfo("blockDeleter04"), Vector3D(0.0, -2000.0, 0.0), 20.0);
]])
SpawnTriggerInfo(LvlLoader:GetInfo("deleteTrigger05"), false, false,
[[
	SpawnBlockDeleterInfo(LvlLoader:GetInfo("blockDeleter05"), Vector3D(0.0, -2000.0, 0.0), 20.0);
]])

-------------------------------------------------------------------------------
--AI Triggers
-------------------------------------------------------------------------------
--SpawnTriggerInfo(LvlLoader:GetInfo("AITrigger01"), false, false, "TikiGod:ActivateAI(true)")

-------------------------------------------------------------------------------
--Final Triggers
-------------------------------------------------------------------------------

rockPos01 = LvlLoader:GetInfo("rockPos01").Pos_
rockPos02 = LvlLoader:GetInfo("rockPos02").Pos_
rockPos03 = LvlLoader:GetInfo("rockPos03").Pos_
rockPos04 = LvlLoader:GetInfo("rockPos04").Pos_
rockDir01 = LvlLoader:GetInfo("rockDir01").Pos_
rockDir02 = LvlLoader:GetInfo("rockDir02").Pos_
rockDir03 = LvlLoader:GetInfo("rockDir03").Pos_
rockDir04 = LvlLoader:GetInfo("rockDir04").Pos_

tier05FirePos01 = LvlLoader:GetInfo("tier05FirePos01").Pos_
tier05FirePos02 = LvlLoader:GetInfo("tier05FirePos02").Pos_
tier05FirePos03 = LvlLoader:GetInfo("tier05FirePos03").Pos_
tier05FirePos04 = LvlLoader:GetInfo("tier05FirePos04").Pos_
tier05FireDir01 = LvlLoader:GetInfo("tier05FireDir01").Pos_
tier05FireDir02 = LvlLoader:GetInfo("tier05FireDir02").Pos_
tier05FireDir03 = LvlLoader:GetInfo("tier05FireDir03").Pos_
tier05FireDir04 = LvlLoader:GetInfo("tier05FireDir04").Pos_
if true then
	SpawnTriggerInfo(LvlLoader:GetInfo("tier05Trigger01"), false, false, 
	[[
		InsertObjectRange(FinalTowers, 1, 1);
		GlobalSpawnController:SpawnBlobCluster(tier05FirePos01, tier05FireDir01, BlobSpeed, BlobRadius, BlobMass, BlobNum, ExplosionRadius, ExplosionMagnitude, false, false);
		--TikiGod:FireMahLazer(tier05FirePos01, tier05FireDir01, false, LaserRadius, LaserSpeed, LaserMag * 2, LaserDuration * 0.25, false, LaserInterval, 0);
	]])
	SpawnTriggerInfo(LvlLoader:GetInfo("tier05Trigger02"), false, false, 
	[[
		InsertObjectRange(FinalTowers, 2, 2);
		GlobalSpawnController:SpawnBlobCluster(tier05FirePos02, tier05FireDir02, BlobSpeed, BlobRadius, BlobMass, BlobNum, ExplosionRadius, ExplosionMagnitude, false, false);
		--TikiGod:FireMahLazer(tier05FirePos02, tier05FireDir02, false, LaserRadius, LaserSpeed, LaserMag * 2, LaserDuration * 0.25, false, LaserInterval, 0);
	]])
	SpawnTriggerInfo(LvlLoader:GetInfo("tier05Trigger03"), false, false, 
	[[
		InsertObjectRange(FinalTowers, 3, 3);
		GlobalSpawnController:SpawnBlobCluster(tier05FirePos03, tier05FireDir03, BlobSpeed, BlobRadius, BlobMass, BlobNum, ExplosionRadius, ExplosionMagnitude, false, false);
		--TikiGod:FireMahLazer(tier05FirePos03, tier05FireDir03, false, LaserRadius, LaserSpeed, LaserMag * 2, LaserDuration * 0.25, false, LaserInterval, 0);
	]])
	SpawnTriggerInfo(LvlLoader:GetInfo("tier05Trigger04"), false, false, 
	[[
		InsertObjectRange(FinalTowers, 4, 4);
		GlobalSpawnController:SpawnBlobCluster(tier05FirePos04, tier05FireDir04, BlobSpeed, BlobRadius, BlobMass, BlobNum, ExplosionRadius, ExplosionMagnitude, false, false);
		--TikiGod:FireMahLazer(tier05FirePos04, tier05FireDir04, false, LaserRadius, LaserSpeed, LaserMag * 2, LaserDuration * 0.25, false, LaserInterval, 0);
	]])
end

-------------------------------------------------------------------------------
--End Triggers
-------------------------------------------------------------------------------
if true then
	endLockPos01 = LvlLoader:GetInfo("endLockPos01").Pos_
	endLockPos02 = LvlLoader:GetInfo("endLockPos02").Pos_
	cameraEndPos02 = LvlLoader:GetInfo("cameraEndPos02").Pos_
	cameraEndDir02 = LvlLoader:GetInfo("cameraEndDir02").Pos_
	cameraEndPos03 = LvlLoader:GetInfo("cameraEndPos03").Pos_
	cameraEndPos04 = LvlLoader:GetInfo("cameraEndPos04").Pos_
	cameraEndDir04 = LvlLoader:GetInfo("cameraEndDir04").Pos_
	SpawnTriggerInfo(LvlLoader:GetInfo("endTrigger04"), false, false, 
	[[
		PlayerData:LockPlayerToPos(endLockPos01);
		TikiGod:ActivateAI(false);
		Sound:StopMusic();
		Sound:PlayMusic("CityBattle");
	]])
	SpawnTriggerInfo(LvlLoader:GetInfo("endTrigger01"), false, false, 
	[[
		EventManager:AddEvent(false, 0.0, "PlayerData:SetCameraPosition(cameraEndPos03, 0.05, false, true)");
	]])
	SpawnTriggerInfo(LvlLoader:GetInfo("endTrigger03"), false, false, 
	[[
		PlayerData:LockPlayerToPos(endLockPos02);
	]])
	cameraEndPos01 = LvlLoader:GetInfo("cameraEndPos01").Pos_
	cameraEndDir01 = LvlLoader:GetInfo("cameraEndDir01").Pos_
	SpawnTriggerInfo(LvlLoader:GetInfo("endTrigger02"), false, false, 
	[[
		PlayerData:LockPlayer(Vector3D(0.0, 0.0, 0.0));
		EventManager:AddEvent(false, 0.0, "PlayerData:SetCameraPositionLookat(cameraEndPos02, cameraEndDir02, 0.02)")
		EventManager:AddEvent(false, 4.0, "PlayerData:SetCameraPositionLookat(cameraEndPos01, cameraEndDir01, 0.02)")
		EventManager:AddEvent(false, 7.0, "FinalLaserBattle()");
	]])
end
		--EventManager:AddEvent(false, 0.0, "GameEngine:SetRimColor(\"compositeObjects/playerComposite01\", \"levelLoader/player.igobj\", Vector3D(0,0,1))");

function FinalLaserBattle()
	finalLaserPos01 = LvlLoader:GetInfo("finalLaserPos01")
	finalLaserPos02 = LvlLoader:GetInfo("finalLaserPos02")
	finalLaserPos03 = LvlLoader:GetInfo("finalLaserPos03")
	finalLaserPos04 = LvlLoader:GetInfo("finalLaserPos04")
	finalLaserPos05 = LvlLoader:GetInfo("finalLaserPos05")
	
	laserObject01 = GlobalSpawnController:SpawnSimple(finalLaserPos01.Pos_, finalLaserPos01.Scale_.x);
	laserObject02 = GlobalSpawnController:SpawnSimple(finalLaserPos02.Pos_, finalLaserPos02.Scale_.x);
	laserObject03 = GlobalSpawnController:SpawnSimple(finalLaserPos03.Pos_, finalLaserPos03.Scale_.x);
	laserObject04 = GlobalSpawnController:SpawnSimple(finalLaserPos04.Pos_, finalLaserPos04.Scale_.x);
	
	EventManager:AddEvent(false, 0.0, "GameEngine:PlayParticleEvent(\"levelLoader/compositeObjects/laserPlayer.igobj\", laserObject01, laserObject03)")
	EventManager:AddEvent(false, 0.0, "GameEngine:PlayParticleEvent(\"levelLoader/compositeObjects/laser.igobj\", laserObject02, laserObject03)")
	EventManager:AddEvent(false, 0.0, "Sound:PlayEvent(\"LaserExplosion2D\", Vector3D(0,0,0), Vector3D(0,0,0))");
	EventManager:AddEvent(false, 0.0, "Sound:PlayEvent(\"LaserExplosion2D\", Vector3D(0,0,0), Vector3D(0,0,0))");
	EventManager:AddEvent(false, 0.0, "GameEngine:PlayParticleEvent(\"levelLoader/compositeObjects/finalBattle.igobj\", laserObject03, 3)")
	
	EventManager:AddEvent(false, 0.0, "PlayerData:ShakeCamera(4.0, 10000, 10000)");
	--EventManager:AddEvent(false, 3.0, "PlayerData:ShakeCamera(0.5, 10000, 10000)");
	
	EventManager:AddEvent(false, 0.0, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 30000.0, false)");
	EventManager:AddEvent(false, 0.7, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 15000.0, false)");
	EventManager:AddEvent(false, 1.0, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 8000.0, false)");
	EventManager:AddEvent(false, 1.5, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 0.0, false)");
	
	EventManager:AddEvent(false, 1.8, "laserObject03:SetVelocity(finalLaserPos02.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 2.0, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 2.2, "laserObject03:SetVelocity(finalLaserPos02.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 2.4, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 2.6, "laserObject03:SetVelocity(finalLaserPos02.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 2.8, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 3.0, "laserObject03:SetVelocity(finalLaserPos02.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 3.2, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 3.0, "laserObject03:SetVelocity(finalLaserPos02.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 3.2, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 3.6, "laserObject03:SetVelocity(finalLaserPos02.Pos_, 10000.0, false)");
	EventManager:AddEvent(false, 4.0, "laserObject03:SetVelocity(finalLaserPos01.Pos_, 10000.0, false)");
	
	EventManager:AddEvent(false, 4.0, "laserObject03:SetVelocity(finalLaserPos02.Pos_, 200000.0, false)");
	
	EventManager:AddEvent(false, 4.0, "GameEngine:PlayParticleEvent(\"levelLoader/compositeObjects/laserPlayer.igobj\", laserObject01, laserObject04)")
	EventManager:AddEvent(false, 4.0, "GameEngine:PlayParticleEvent(\"levelLoader/compositeObjects/finalBattle.igobj\", laserObject03, 5)")
	EventManager:AddEvent(false, 4.0, "Sound:PlayEvent(\"LargeLaserExplosion2D\", Vector3D(0,0,0), Vector3D(0,0,0))");
	EventManager:AddEvent(false, 4.0, "laserObject04:SetVelocity(finalLaserPos05.Pos_, 200000.0, false)");
	
	EventManager:AddEvent(false, 4.4, "TikiGod:Explode()");
	
	EventManager:AddEvent(false, 8.0, "Sound:StopMusic()");
	
	EventManager:AddEvent(false, 8.0, "GameEngine.CurrentLevelNum_ = 0");
	EventManager:AddEvent(false, 8.0, "GameEngine.GameOver = true");
	EventManager:AddEvent(false, 8.0, "GameEngine.Credits = true");
	
end